mcinputgenerate<-function(n,distributions,parameters){

ninputs<-length(distributions)
mcinputs<-matrix(0,nrow=n,ncol=ninputs)
for(i in 1:ninputs){
  mcinputs[,i]<-switch(distributions[i],
  n = rnorm(n,parameters[i,1],parameters[i,2]),
  l = rlnorm(n,parameters[i,1],parameters[i,2]),
  b = rbeta(n,parameters[i,1],parameters[i,2]),
  g = rgamma(n,parameters[i,1],parameters[i,2]),
  u = runif(n,parameters[i,1],parameters[i,2]))

}

mcinputs
}
